package com.example.comunicacionactividades;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.example.comunicacionactividades.databinding.ActivityMainBinding;
import com.example.comunicacionactividades.databinding.ActivitySecondBinding;

public class SecondActivity extends AppCompatActivity implements View.OnClickListener {
    private  ActivitySecondBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        binding = ActivitySecondBinding.inflate(getLayoutInflater());
        View view = binding.getRoot();
        setContentView(view);

        binding.button.setOnClickListener(this);

        Bundle extras = getIntent().getExtras();
        //recupera el valor asociado a “usuario”
        String str = extras.getString("usuario");
        //recupera el valor asociado a “edad”
        int edad = extras.getInt("edad");

        binding.textView.setText(str + ", " + edad);
    }

    @Override
    public void onClick(View view) {
        if (view == binding.button) {
            Intent intent = new Intent();
            intent.putExtra(MainActivity.RESULTADO, binding.editText.getText().toString());
            setResult(RESULT_OK, intent);
            finish();
        }
    }

}